Edushade Docs
Curriculum

Move item

PUT
/admin/learning/curriculum/{entity_type}/{entity_id}/items/{item_id}/move
AuthorizationBearer <token>

In: header

Path Parameters

entity_typestring

Type of context (course, cohort, learning_path)

Defaultnull
entity_idstring

ID of the course, cohort, or learning path

Defaultnull
Formatuuid
item_idstring

ID of the curriculum item to move

Defaultnull
Formatuuid
new_order_indexinteger
Default3
new_parent_idstring
Default"123e4567-e89b-12d3-a456-426614174005"
Formatuuid

Response Body

curl -X PUT "https://edushade.com/api/v1/admin/learning/curriculum/{entity_type}/{entity_id}/items/{item_id}/move" \
  -H "Content-Type: application/json" \
  -d '{
    "new_order_index": 3,
    "new_parent_id": "123e4567-e89b-12d3-a456-426614174005"
  }'
{}
Empty
Empty
Empty